define({"77":{i:0.00453006279028253,u:"../Content/Configuration/Server/_ACI_AdminClients.htm",a:"The AdminClients parameter specifies the IP addresses (or host names) of clients that are permitted to send administrative commands to the ACI Port. Separate multiple addresses with commas. There must be no space before or after the comma. You can use wildcards in the IP address. For example, ...",t:"AdminClients"},"78":{i:0.00107721535298672,u:"../Content/Configuration/Server/_ACI_ExplicitHost.htm",a:"The IP address that the server should use on the host machine. If you install the server on a machine with more than one network interface, you can use this parameter to specify the IP address to use. If the machine only has one network interface, you do not need to set this parameter. Type: String ...",t:"ExplicitHost"},"79":{i:0.00107721535298672,u:"../Content/Configuration/Server/_ACI_KeepAliveInterval.htm",a:"KeepAliveInterval The number of seconds within which data must be received over a TCP socket. When this timeout value expires, the connection is closed. Type: Long Default: 15 Required: No Configuration Section: Server Example: KeepAliveInterval=20 See Also:  ",t:"KeepAliveInterval"},"80":{i:0.00107721535298672,u:"../Content/Configuration/Server/_ACI_LogRequestTiming.htm",a:"Set LogRequestTiming to  True to record the duration times of actions in the logs. This parameter adds timing information to items in all log files that describe actions that have been sent to HPE Knowledge Graph. Type: Boolean Default: False Required: No Configuration Section: Server Example: ...",t:"LogRequestTiming"},"81":{i:0.00107721535298672,u:"../Content/Configuration/Server/_ACI_MaxFileUploadSize.htm",a:"The MaxFileUploadSize parameter specifies the maximum amount of data (in bytes) accepted by the server through an HTTP POST request. This parameter therefore limits the amount of data that can be sent to the server in an ACI action. To specify an unlimited size, set this parameter to  -1. HP ...",t:"MaxFileUploadSize"},"82":{i:0.00107721535298672,u:"../Content/Configuration/Server/_ACI_MaxInputString.htm",a:"The MaxInputString parameter specifies the maximum number of characters that can be sent to the server in an HTTP request string. To specify an unlimited number, set this parameter to  -1. Type: Long Default: 64000 Required: No Configuration Section: Server Example: MaxInputString=-1 See Also:  ",t:"MaxInputString"},"83":{i:0.00255478994486372,u:"../Content/Configuration/Server/_ACI_Port.htm",a:"The Port parameter specifies the port that is used to send ACI actions to the ACI server. Type: Long Default:   Required: No Allowed Range: \n                        Minimum: 1 Maximum: 65535\n                     Configuration Section: Server Example: Port=7008 See Also: AdminClients ProxyClients ...",t:"Port"},"84":{i:0.00180107250755084,u:"../Content/Configuration/Server/_ACI_ProxyClients.htm",a:"The ProxyClients parameter specifies the IP addresses or host names for proxy clients that are permitted to send actions to the ACI server. Separate multiple addresses with a comma. There must be no space before or after a comma. When an action is received, if the client address does not appear in ...",t:"ProxyClients"},"85":{i:0.00413775376984485,u:"../Content/Configuration/Server/_ACI_QueryClients.htm",a:"The QueryClients parameter specifies the IP addresses (or host names) of clients that are permitted to send queries to the ACI port. Separate multiple addresses with commas. There must be no space before or after the comma. You can use wildcards in the IP address. For example, 187.*.*.* includes any ...",t:"QueryClients"},"86":{i:0.00107721535298672,u:"../Content/Configuration/Server/_ACI_ReturnRequest.htm",a:"ReturnRequest Return your request as part of the response. Set this parameter to  True if you want your action response to include a tag containing the original request. Type: Boolean Default: False Required: No Configuration Section: Server Example: ReturnRequest=True See Also:  ",t:"ReturnRequest"},"87":{i:0.00107721535298672,u:"../Content/Configuration/Server/_ACI_SSLConfig.htm",a:"Identifies the section of the configuration file in which the SSL configuration details are specified, usually SSLOptionN. To specify the SSL settings for incoming ACI calls, set this parameter in the [Server] section. Type: String Default:   Required: No Configuration Section: Server, for incoming ...",t:"SSLConfig"},"88":{i:0.00107721535298672,u:"../Content/Configuration/Server/_ACI_Threads.htm",a:"The maximum number of synchronous actions that the server can process simultaneously. You can calculate the optimum number of threads as follows: Number of logical CPUs + 1 spare thread. Type: Long Default: 10 Allowed Range: Minimum: 1 Maximum: 32 Recommended Range: Minimum: 4 Maximum: 32 Required: ...",t:"Threads"},"89":{i:0.007181435612005,u:"../Content/Configuration/Server/_ACI_XSLTemplates.htm",a:"The XSLTemplates parameter specifies whether to enable the transformation of action responses using XSL templates. To transform the response to an action, set this configuration parameter to True, and specify the name of the template in the action. For example: ...",t:"XSLTemplates"},"90":{i:0.00612654895692422,u:"../Content/Configuration/SSL/_ACI_SSLConfigParams_Reference.htm",a:"Secure Socket Layer Parameters This section describes the configuration parameters used to configure  Secure Socket Layer (SSL) connections between components. These parameters usually appear in the [SSLOptions] section of the configuration file.",t:"Secure Socket Layer Parameters"},"91":{i:0.00770797943810057,u:"../Content/Configuration/SSL/_ACI_SSLCACertificate.htm",a:"The Certificate Authority (CA) certificate file of a trusted authority. The component trusts communication only with a peer that provides a certificate signed by the specified CAs.  When you set SSLCACertificate, it implicitly sets  SSLCheckCertificate  to  True. In this case, you can set  ...",t:"SSLCACertificate"},"92":{i:0.00295771803293159,u:"../Content/Configuration/SSL/_ACI_SSLCACertificatesPath.htm",a:"Use this parameter to specify the path to a directory containing multiple CA certificates in PEM format to check against. Each file must contain one CA certificate. The files are looked up by the CA subject name hash value, which must be available. If more than one CA certificate with the same name ...",t:"SSLCACertificatesPath"},"93":{i:0.0134903396207401,u:"../Content/Configuration/SSL/_ACI_SSLCertificate.htm",a:"The SSL Certificate file to use to identify this component to a peer. You can specify a single certificate in ASN1 or PEM format, or a chain certificate in PEM format. The chain certificate consists of the end-entity certificate, any intermediate certificates, ending with the root CA certificate.  ...",t:"SSLCertificate"},"94":{i:0.00884942437568472,u:"../Content/Configuration/SSL/_ACI_SSLCheckCertificate.htm",a:"Set SSLCheckCertificate to  True to require HPE Knowledge Graph to request a certificate signed by a trusted authority from connected peers. When SSLCheckCertificate is set to  False, communications are encrypted, but certificates are not requested from peers. When you set  SSLCACertificate , it ...",t:"SSLCheckCertificate"},"95":{i:0.00462023581067622,u:"../Content/Configuration/SSL/_ACI_SSLCheckCommonName.htm",a:"Verifies the identity of the peer. Specifies whether the host name listed in the peer\u0027s certificate (that is, the CommonName or \"CN\" attribute) resolves to the same IP address as the peer itself, as determined by the network connection.  For example, if the host name in a certificate is ...",t:"SSLCheckCommonName"},"96":{i:0.00107721535298672,u:"../Content/Configuration/SSL/_ACI_SSLCipherSuite.htm",a:"The available ciphers to use to negotiate SSL connections. You can use this parameter to set an explicit list of ciphers to allow, or to disallow specific ciphers. The parameter uses the OpenSSL cipher string format. For details of this format, see the OpenSSL documentation ( ...",t:"SSLCipherSuite"},"97":{i:0.00462023581067622,u:"../Content/Configuration/SSL/_ACI_SSLMethod.htm",a:"Specifies which SSL protocol is used. The options are:  TLSV1.2 TLSV1 SSLV3 Negotiate - negotiate, and use the highest protocol supported by both client and server. In earlier versions of HPE Knowledge Graph, this method is known as SSLV23. HP Autonomy recommends that you use TLSV1.2, unless ...",t:"SSLMethod"},"98":{i:0.0140034830677282,u:"../Content/Configuration/SSL/_ACI_SSLPrivateKey.htm",a:"The private security key for the SSL certificate. It can be either ASN1 or PEM format. This parameter requires a matching SSLCertificate value. You can specify the file name with an absolute or relative path to the location of the key file. Type: String Default: None Required: Yes Configuration ...",t:"SSLPrivateKey"},"99":{i:0.00858788932326622,u:"../Content/Configuration/SSL/_ACI_SSLPrivateKeyPassword.htm",a:"The password for the file defined in SSLPrivateKey. The password might be in plain text, or basic or AES encryption format. Type: String Default: None Required: No Configuration Section: SSLOptionN Example: [SSLOption0]\nSSLCertificate=host1.crt\nSSLPrivateKey=host1.key\nSSLPrivateKeyPassword=PvKey1559 ...",t:"SSLPrivateKeyPassword"},"100":{i:0.00107721535298672,u:"../Content/Configuration/Service/_ACI_ServiceConfigParams_Reference.htm",a:"This section describes the Service configuration parameters that determine which machines are permitted to use and control a service.  You must enable the service port by specifying the  ServicePort ,  ServiceStatusClients , and  ServiceControlClients  configuration parameters.The service port then ...",t:"Service Configuration Parameters"},"101":{i:0.00107721535298672,u:"../Content/Configuration/Service/_ACI_Access_Control_Allow_Ori.htm",a:"A list of URLs that you want to use to access the IDOL Admin interface. You must configure this parameter to enable Cross Origin Resource Sharing, which allows IDOL Admin to access the index and service ports for your components.  Each URL must include: the http:// or https:// prefix the host that ...",t:"Access-Control-Allow-Origin"},"102":{i:0.00107721535298672,u:"../Content/Configuration/Service/_ACI_FIPSMode.htm",a:"Set FIPSMode to  True to enable the FIPS-compliant cryptographic modules in your HP Autonomy IDOL components.  HPE IDOL uses a cryptographic module which complies with Federal Information Processing Standard 140-2 (FIPS 140-2). This standard defines the technical requirements that Federal Agencies ...",t:"FIPSMode"},"103":{i:0.0135214536524913,u:"../Content/Configuration/Service/_ACI_ServiceACIMode.htm",a:"ServiceACIMode Generates ACI-compatible XML. Type: Boolean Default: False Required: No Configuration Section: Service Example: ServiceACIMode=False See Also: ServiceControlClients ServiceHost ServicePort ServiceStatusClients",t:"ServiceACIMode"},"104":{i:0.0153612678485957,u:"../Content/Configuration/Service/_ACI_ServiceControlClients.htm",a:"The IP addresses or names of clients that can send service control actions to the service. Separate multiple addresses with commas. There must be no space before or after the comma. Adding a client to ServiceControlClients does not enable it to send service status actions. To enable a client to send ...",t:"ServiceControlClients"},"105":{i:0.0135214536524913,u:"../Content/Configuration/Service/_ACI_ServiceHost.htm",a:"ServiceHost The host server on which the service is running. Type: String Default: *.*.*.* Required: No Configuration Section: Service Example: ServiceHost=127.0.0.1 See Also: ServiceACIMode ServiceControlClients ServicePort ServiceStatusClients",t:"ServiceHost"},"106":{i:0.0143171322408665,u:"../Content/Configuration/Service/_ACI_ServicePort.htm",a:"The port on the host server on which the service listens for service status and control requests.  Type: Long Default: 40010 Required: Yes Allowed Range: \n                        Minimum: 1                        Maximum: 65535\n                     Recommended Range: \n                        ...",t:"ServicePort"},"107":{i:0.0153612678485957,u:"../Content/Configuration/Service/_ACI_ServiceStatusClients.htm",a:"The IP addresses or names of clients that can request status information from a service. Separate multiple individual addresses with commas. There must be no space before or after the comma. Adding a client to ServiceStatusClients does not enable it to send service control actions. To enable a ...",t:"ServiceStatusClients"},"108":{i:0.00107721535298672,u:"../Content/Configuration/Service/_ACI_SSLConfig.htm",a:"The name of the configuration section that specifies the SSL configuration details (usually SSLOptionN).  Set this parameter in the [Service] section to configure SSL for incoming service actions.  Type: String Default: None Required: No Configuration Section: Service Example: ...",t:"SSLConfig"},"109":{i:0.00107721535298672,u:"../Content/Configuration/Service/_ACI_TCPReceiveWindowSize.htm",a:"The TCP receive window size to use when the service receives data. This parameter sets the size of the socket receiving buffers for all IDOL components. Use this parameter to tune network performance based on bandwidth and client to server round-trip times. Generally, a higher value improves ...",t:"TCPReceiveWindowSize"},"110":{i:0.00199284840533243,u:"../Content/Service/_ACI_part_Service.htm",a:"Service Actions This section describes the service actions that you can send to the service. Introduction to Service Actions Service Actions",t:"Service Actions"},"111":{i:0.00192417592751116,u:"../Content/Service/_ACI_Service_Intro.htm",a:"Service actions  return data about the service and allow you to control the service. If you add the  ServicePort ,  ServiceStatusClients , and  ServiceControlClients  settings to the [Service] section of the  configuration file, the service port is enabled and accepts the following standard status ...",t:"Introduction to Service Actions"},"112":{i:0.00107721535298672,u:"../Content/Service/_ACI_Action_Syntax.htm",a:"The actions use the following syntax: http://Host:Port/action=ActionName\u0026[Parameters] where, Host The IP address (or name) of the machine hosting the service. Port The ServicePort specified in the [Service] section of the service’s configuration file. ActionName One of the actions described in this ...",t:"Action Syntax"},"113":{i:0.00215308419059759,u:"../Content/Service/ServiceActions/_ACI_ServiceActions_Reference.htm",a:"Service Actions This section describes the Service actions.",t:"Service Actions"},"114":{i:0.00120302685632736,u:"../Content/Service/ServiceActions/_ACI_ACIThreadStatus.htm",a:"Returns information about the activity of all the threads that the ACI service is using, including the number of accepted connections. This is a status action that can be sent only from  ServiceStatusClients  (which are set in the [Service] section of the configuration file). Example ...",t:"ACIThreadStatus"},"115":{i:0.0109337186121395,u:"../Content/Service/ServiceActions/_ACI_Diagnostic.htm",a:"The Diagnostic action creates a ZIP file for the service, which contains useful information for troubleshooting.  The information provided, and the level of detail in the files, varies for different services.  This is a service control action that can be sent only from  ServiceControlClients  (which ...",t:"Diagnostic"},"116":{i:0.00120302685632736,u:"../Content/Service/ServiceActions/_ACI_GetConfig.htm",a:"GetConfig The GetConfig action returns the service’s configuration file settings. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=GetConfig Parameters None.",t:"GetConfig"},"117":{i:0.00636737928722326,u:"../Content/Service/ServiceActions/_ACI_GetLogStream.htm",a:"The GetLogStream action returns a specific log stream for the service. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=GetLogStream\u0026Name=application.log\u0026FromDisk=True\u0026Tail=10 This ...",t:"GetLogStream"},"118":{i:0.00358896546374684,u:"../Content/Service/ServiceActions/_ACI_GetLogStreamNames.htm",a:"The GetLogStreamNames action returns the names of the log streams defined for the service. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=GetLogStreamNames Parameters None.",t:"GetLogStreamNames"},"119":{i:0.00120302685632736,u:"../Content/Service/ServiceActions/_ACI_GetStatistics.htm",a:"The GetStatistics action returns statistics for the service. This is a status action that can be sent only from  ServiceStatusClients  (which are set in the [Service] section of the configuration file). Each statistic returns in an autn:stat XML element. This element contains the following ...",t:"GetStatistics"},"120":{i:0.00120302685632736,u:"../Content/Service/ServiceActions/_ACI_GetStatus.htm",a:"The GetStatus action returns the status of the service  (running, paused, or stopping) and some current configuration settings.  This is a status action that can be sent only from  ServiceStatusClients  (which are set in the [Service] section of the configuration file). Example action=GetStatus ...",t:"GetStatus"},"121":{i:0.00120302685632736,u:"../Content/Service/ServiceActions/_ACI_GetStatusInfo.htm",a:"The GetStatusInfo action returns status information for the service (for example, the service’s product name, version number and so on). The action returns the following status information for the service: Statistics Description [StatusInfo] ServiceStartTime The time the service started running (in ...",t:"GetStatusInfo"},"122":{i:0.00120302685632736,u:"../Content/Service/ServiceActions/_ACI_Stop.htm",a:"Stop The Stop action stops the service. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=Stop Parameters None.",t:"Stop"},"123":{i:0.00120302685632736,u:"../Content/Service/ServiceActions/_ACI_ValidateConfig.htm",a:"The ValidateConfig action detects and returns a list of configuration errors such as repeated or unused configuration keys and sections, unreferenced entries and so on.  For the ValidateConfig action to validate a configuration section, HPE Knowledge Graph must have previously read that ...",t:"ValidateConfig"},"124":{i:0.00364498890132563,u:"../Content/Actions/Admin/Parameters/Attributes.htm",a:"Set this parameter to  false if you do not want to display information about each attribute.  By default, HPE Knowledge Graph returns the name, element type, and data type of each attribute, along with the number of times the attribute occurs in the index, and the amount of memory it takes up. ...",t:"Attributes"},"125":{i:0.00550491731872206,u:"../Content/Actions/Admin/Parameters/Data.htm",a:"An array of JSON objects. Each object represents a document.  You must supply the JSON data in the POST body for the action. The parameter accepts an array of JSON objects, where each object in the array is a document.  HPE Knowledge Graph creates nodes and edges based on the fields in your ...",t:"Data"},"126":{i:0.00513797955425459,u:"../Content/Actions/Admin/Parameters/Edges_ExportGraph.htm",a:"Edges Set this parameter to  true if you want to export a list of edges for your graph. The edges list includes any edge attributes. Actions: ExportGraph Type: Boolean Default: True Example: Edges=false See Also:  ",t:"Edges"},"127":{i:0.00633911112435757,u:"../Content/Actions/Admin/Parameters/Edges_GetGraphMemory.htm",a:"Set this parameter to  true to display information about each edge. This option displays the number of edge attributes and the amount of memory used by each edge. You can optionally set  NumEdges  to specify the number of edges that you want to return details for. Actions: GetGraphMemory Type: ...",t:"Edges"},"128":{i:0.00513797955425459,u:"../Content/Actions/Admin/Parameters/FilenamePrefix.htm",a:"FilenamePrefix The base filename to use for the export files. HPE Knowledge Graph adds _edges.txt or _nodes.txt to this file prefix for the edge and node lists. Actions: ExportGraph Type: String Default:   Example: FilenamePrefix=EmailGraph See Also:  ",t:"FilenamePrefix"},"129":{i:0.00764897963852695,u:"../Content/Actions/Admin/Parameters/Mode.htm",a:"The mode to use for validation. You can use the following options: Quick. HPE Knowledge Graph stops the validation as soon as it encounters an invalid part of the database.  Full.  HPE Knowledge Graph runs validation for all parts of the database. Actions: Validate Type: String Default: Quick ...",t:"Mode"},"130":{i:0.00513797955425459,u:"../Content/Actions/Admin/Parameters/Nodes_ExportGraph.htm",a:"Nodes Set this parameter to  true if you want to export a list of nodes for your graph. The nodes list includes any node attributes. Actions: ExportGraph Type: Boolean Default: True Example: Nodes=false See Also:  ",t:"Nodes"},"131":{i:0.00633911112435757,u:"../Content/Actions/Admin/Parameters/Nodes_GetGraphMemory.htm",a:"Set this parameter to  true to display information about each node. This option displays information about the number of edges that connect to the node, along with the number of node attributes and the amount of memory used by each node. You can optionally set  NumNodes  to specify the number of ...",t:"Nodes"},"132":{i:0.00633911112435757,u:"../Content/Actions/Admin/Parameters/NumEdges.htm",a:"NumEdges The number of edges that you want to return information for.  Actions: GetGraphMemory Type: Integer Default: 6 Example: NumEdges=10 See Also: Edges",t:"NumEdges"},"133":{i:0.00633911112435757,u:"../Content/Actions/Admin/Parameters/NumNodes.htm",a:"NumNodes The number of nodes that you want to return information for.  Actions: GetGraphMemory Type: Integer Default: 6 Example: NumNodes=10 See Also: Nodes",t:"NumNodes"},"134":{i:0.00783126610873218,u:"../Content/Actions/Admin/Parameters/Persist.htm",a:"Set this parameter to  true if you want to save new documents to disk during the indexing process. Set this parameter to  false if you do not want to persist immediately. If you are indexing your documents in batches, you might want to set Persist to  false. After you finish indexing, you can save ...",t:"Persist"},"135":{i:0.00667357000463722,u:"../Content/Actions/Admin/Parameters/RegenerateWeights.htm",a:"Set this parameter to  true if you want to update the weight attribute for all edges with a new internally generated value when you index new documents.  Set this parameter to  false if you do not want to update the weights. Regenerating weights can increase the indexing time. If you are indexing ...",t:"RegenerateWeights"},"136":{i:0.0099866997711367,u:"../Content/Actions/General/MemoryReport_MaxDepth.htm",a:"The maximum depth to return memory information for. The  MemoryReport  response XML displays a tree structure, with information for components and their sub-components on multiple levels. You can set MaxDepth to restrict the report to this number of levels.  Actions: MemoryReport Type: Long Default: ...",t:"MaxDepth"},"137":{i:0.0012597991471476,u:"../Content/Actions/General/_ACI_IP.htm",a:"IP The IP address for which to check permissions. By default, the  ShowPermissions  action checks the permissions for the client that sends the request. Action: ShowPermissions Type: String Default:   Required: No Example: action=ShowPermissions\u0026IP=12.34.56.78 See Also:",t:"IP"},"138":{i:0.0021480446310061,u:"../Content/Actions/General/_ACI_ShowPermissions.htm",a:"The ShowPermissions action returns information on whether a specified IP address is allowed to send query actions or administrative actions to the action port. If you send ShowPermissions from a client IP address that is configured in  AdminClients , it also returns information about the rules that ...",t:"ShowPermissions"},"139":{i:0.00541165559990335,u:"../Content/Actions/GraphQuery/Parameters/MaxDistance.htm",a:"The maximum distance from the start nodes to travel when searching for result nodes. The distance is calculated according to the specified  Method . If you do not set MaxDistance, the action uses the value of the MaxResults parameter to determine how many results to return. If you set both ...",t:"MaxDistance"},"140":{i:0.0035491668120025,u:"../Content/Actions/GraphQuery/Parameters/MaxResults_GetCommon.htm",a:"MaxResults The maximum number of common neighbors to return.  Actions: GetCommonNeighbors Type: Integer Default:   Example: MaxResults=10 See Also:  ",t:"MaxResults"},"141":{i:0.0035491668120025,u:"../Content/Actions/GraphQuery/Parameters/MaxResults_GetNeighbors.htm",a:"MaxResults The maximum number of neighbors to return for each specified node. Actions: GetNeighbors Type: Integer Default:   Example: MaxResults=10 See Also:  ",t:"MaxResults"},"142":{i:0.00568780557090236,u:"../Content/Actions/GraphQuery/Parameters/MaxResults_GetNodes.htm",a:"MaxResults The maximum number of nodes to return.  Actions: GetNodes Type: Integer Default: 6 Example: MaxResults=1000 See Also:  ",t:"MaxResults"},"143":{i:0.00429600954287666,u:"../Content/Actions/GraphQuery/Parameters/MaxResults_Neighborhood.htm",a:"The maximum number of result nodes to return, in addition to the input nodes that you provide.  The action response returns your input nodes and the result nodes in the same response, so that you can extract all the nodes from the response to create a graph visualization. The total number of nodes ...",t:"MaxResults"},"144":{i:0.00403282292405071,u:"../Content/Actions/GraphQuery/Parameters/MaxResults_ShortPaths.htm",a:"MaxResults The maximum number of possible shortest paths to return. Actions: GetShortestPaths Type: Integer Default: 6 Example: MaxResults=10 See Also:  ",t:"MaxResults"},"145":{i:0.00508603021797438,u:"../Content/Actions/GraphQuery/Parameters/MaxResults_SuggestLinks.htm",a:"MaxResults The maximum number of suggestions to return. Actions: SuggestLinks Type: Integer Default: 6 Example: MaxResults=10 See Also:  ",t:"MaxResults"},"146":{i:0.00860589291766099,u:"../Content/Actions/GraphQuery/Parameters/Method.htm",a:"The method to use to determine the distance between nodes. When more than one path is available between two nodes, HPE Knowledge Graph uses this method to determine the shortest path. You can use the following options: Weighted. HPE Knowledge Graph uses the weights assigned to each edge to determine ...",t:"Method"},"147":{i:0.0035491668120025,u:"../Content/Actions/GraphQuery/Parameters/MinCommonality.htm",a:"The minimum number of your input nodes that a node must be a neighbor to for the node to return as a result.  The commonality value takes the direction of edges into account. For example, if you specify target nodes, a neighbor with a commonality of three means that it is an in-neighbor to three of ...",t:"MinCommonality"},"148":{i:0.00337602878585801,u:"../Content/Actions/GraphQuery/Parameters/NodeIDs_Neighborhood.htm",a:"NodeIDs The IDs of the nodes that you want to use as the start point for your neighborhood. Separate multiple node IDs with commas. There must be no space before or after a comma. Actions: GetNeighborhood Type: String Default:   Example: NodeID=123456,234567,345678,456789,567890 See Also:  ",t:"NodeIDs"},"149":{i:0.00568780557090236,u:"../Content/Actions/GraphQuery/Parameters/NodeIDs_Subgraph.htm",a:"NodeIDs The IDs of the nodes that you want to include in the subgraph. Separate multiple node IDs with commas. There must be no space before or after a comma. Actions: GetSubgraph Type: String Default:   Example: NodeID=123456,234567,345678,456789,567890 See Also:  ",t:"NodeIDs"},"150":{i:0.00508603021797438,u:"../Content/Actions/GraphQuery/Parameters/NodeIDs_SuggestLinks.htm",a:"NodeIDs The IDs of the nodes that you want to suggest links for. Separate multiple values with commas. There must be no space before or after a comma. Actions: SuggestLinks Type: String Default:   Example: NodeIDs=123456,234567 See Also:  ",t:"NodeIDs"},"151":{i:0.00337602878585801,u:"../Content/Actions/GraphQuery/Parameters/NodeNames_Neighborhood.htm",a:"The names of the nodes that you want to use as the start point for your neighborhood. You must percent-encode each node name. Separate multiple values with commas. There must be no space before or after a comma. Node names are case sensitive. Actions: GetNeighborhood Type: String Default:   Example: ...",t:"NodeNames"},"152":{i:0.00568780557090236,u:"../Content/Actions/GraphQuery/Parameters/NodeNames_Subgraph.htm",a:"The names of the nodes that you want to include in the subgraph. You must percent-encode each node name. Separate multiple values with commas. There must be no space before or after a comma. Node names are case sensitive. Actions: GetSubgraph Type: String Default:   Example: ...",t:"NodeNames"},"153":{i:0.00508603021797438,u:"../Content/Actions/GraphQuery/Parameters/NodeNames_SuggestLinks.htm",a:"The names of the nodes that you want to suggest links for. You must percent-encode the node name. Separate multiple values with commas. There must be no space before or after a comma. Node names are case sensitive. Actions: SuggestLinks Type: String Default:   Example: ...",t:"NodeNames"},"154":{i:0.0035491668120025,u:"../Content/Actions/GraphQuery/Parameters/Sort_GetNeighbors.htm",a:"The method to use to sort the results. You can use the following sort methods: Default. Uses a default sorting algorithm, which sorts neighbors in descending order of relevance to the input node. None. Turn off sorting. You might want to use this option to improve the speed of particularly large ...",t:"Sort"},});